import { getRequest, postFormDataRequest, postRequest, uploadFile } from "@/utils/request";

// 密钥体格式导入
export async function secretFormatImport(formData: any) {
  return uploadFile(`/xgd/secretBodyManger/secretFormatImport`, formData);
}

// 密钥体格式列表
export async function secretFormatList(params: any) {
  return getRequest(`/xgd/secretBodyManger/secretFormatList`, params);
}

// 修改密钥体状态
// type: 1 删除 2还原 3清理
export async function secretUpdateSecret(data: any) {
  return postFormDataRequest(`/xgd/secretBodyManger/updateSecret`, data);
}

// 密钥体格式发布
export async function secretPublisher(data: any) {
  return getRequest(`/xgd/secretBodyManger/secretPublisher`, data);
}

// 密钥体导入
export async function secretBodyImport(formData: any) {
  return uploadFile(`/xgd/secretBodyManger/secretBodyImport`, formData);
}

// 密钥体接收单列表
export async function secretBodyList(params: any) {
  return getRequest(`/xgd/secretBodyManger/secretBodyList`, params);
}

// 密钥体列表
export async function secretList(params: any) {
  return getRequest(`/xgd/secretBodyManger/secretList`, params);
}


// 密钥体申请
export async function addSecretAsk(data: any) {
  return postRequest(`/xgd/secretBodyManger/addSecretAsk`, data);
}

// 密钥体申请列表
export async function secretAskList(params: any) {
  return getRequest(`/xgd/secretBodyManger/secretAskList`, params);
}

// 密钥体配发
// type: 1 向下级配发 2 向邮箱配发 3 向专用密码管理系统配发
export async function secretUpdateStatus(data: any) {
  return postFormDataRequest(`/xgd/secretBodyManger/updateStatus`, data);
}

// 密钥体配发-密钥体邮箱任务列表
export async function mailIssueList(params: any) {
  return getRequest(`/xgd/secretBodyManger/mailIssueList`, params);
}

// 密钥体配发-向专用密码管理系统配发列表
export async function privateIssueList(params: any) {
  return getRequest(`/xgd/secretBodyManger/privateIssueList`, params);
}

// 密钥体配发-向下级配发列表
export async function belowIssueList(params: any) {
  return getRequest(`/xgd/secretBodyManger/belowIssueList`, params);
}

// 密钥体载体包封 - 明文载体包封
export async function keyBodyCarrierClearText(data: any) {
  return postRequest(`/xgd/secretBodyManger/keyBodyCarrierClearText`, data);
}

// 密钥体载体包封 - 密文载体包封
export async function keyBodyCarrierEncrypted(data: any) {
  return postRequest(`/xgd/secretBodyManger/keyBodyCarrierEncrypted`, data);
}

// 密钥配置查询-根据选择的设备查询出所需要导入的秘钥列表，含管理秘钥和用户秘钥
export async function secretInstallSearch(params: any) {
  return getRequest(`/xgd/secretInstall/search`, params);
}

// 管理密钥装配 -- 装配
export async function secretKey(formData: any) {
  return uploadFile(`/xgd/secretInstall/secretInstall`, formData);
}